# $Revision: 1.30 $, $Date: 2007-12-26 21:45:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	AppConfig
Summary:	AppConfig - Perl5 module for reading configuration files and parsing command line arguments
Summary(pl.UTF-8):	AppConfig - moduł Perla 5 do czytania plików konfiguracyjnych i analizy linii polecenia
Name:		perl-AppConfig
Version:	1.66
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/AppConfig/%{pdir}-%{version}.tar.gz
# Source0-md5:	21aa4d1bf70a49a94c2dc9293389b3a0
URL:		http://search.cpan.org/dist/AppConfig/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-App-Config
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppConfig is a Perl5 module for managing application configuration
information. It maintains the state of any number of variables and
provides methods for parsing configuration files, command line
arguments and CGI script parameters.

%description -l pl.UTF-8
AppConfig jest modułem Perla 5 służącym do czytania informacji
konfiguracyjnych aplikacji. Zachowuje on stan dowolnej liczby
zmiennych i udostępnia metody do analizy plików konfiguracyjnych,
argumrntów linii polecenia i parametrów skryptów CGI.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/AppConfig
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AppConfig.spec,v $
Revision 1.30  2007-12-26 21:45:40  zbyniu
- up to 1.66; generic URL

Revision 1.29  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.27  2004/11/03 22:30:08  paladine
- formatting

Revision 1.26  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.25  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.24  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.23  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.22  2004/04/17 05:44:16  ankry
- better description

Revision 1.21  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.20  2004/02/07 08:25:01  adamg
- updated to 1.56
- new style bconds

Revision 1.19  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/06/12 05:13:17  misi3k
- updated to 1.55

Revision 1.16  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.13  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.11  2003/02/18 15:25:57  ankry
- massive attack: change CPAN URLs

Revision 1.10  2002/08/06 13:34:07  ankry
- obsoletes: perl-App-Config
- cleaning, translations
- release 5

Revision 1.9  2002/07/13 15:38:44  qboosh
- typo, new %%doc, release 4

Revision 1.8  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 06:43:31  kloczek
- release 3.

Revision 1.6  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:39:11  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.1  2001/05/09 13:06:31  misiek
initial pld release
